#include "chdecl.h"
void CH_codegen_breakselector(current, sched, cop)
#define ARGUMENTS 6
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb35;
    case 4: goto c36;
    case 5: goto c42;
    case 6: goto c79;
    case 7: goto cb109;
    case 8: goto c110;
    case 9: goto c113;
    case 10: goto c116;
    case 11: goto cb143;
    case 12: goto c144;
    case 13: goto c147;
    case 14: goto c150;
    case 15: goto c152;
    case 16: goto cb153;
    case 17: goto c154;
    case 18: goto c168;
    case 19: goto c182;
    case 20: goto c189;
    case 21: goto cb207;
    case 22: goto c208;
    case 23: goto c212;
    case 24: goto c214;
    case 25: goto cb229;
    case 26: goto c230;
    case 27: goto c234;
    case 28: goto c236;
    case 29: goto c242;
    case 30: goto c246;
    case 31: goto c253;
    case 32: goto c256;
    case 33: goto cb260;
    case 34: goto c261;
    case 35: goto c266;
    case 36: goto c269;
    case 37: goto c272;
    case 38: goto c279;
    case 39: goto c287;
    case 40: goto c291;
    case 41: goto cb304;
    case 42: goto c305;
    case 43: goto c318;
    case 44: goto c325;
    case 45: goto c327;
    case 46: goto c332;
    case 47: goto c334;
    case 48: goto c366;
    case 49: goto c369;
    case 50: goto c378;
    case 51: goto cb431;
    case 52: goto c432;
    case 53: goto c433;
    case 54: goto c445;
    case 55: goto c449;
    case 56: goto c452;
    case 57: goto cb464;
    case 58: goto c465;
    case 59: goto c476;
    case 60: goto c478;
    case 61: goto c487;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* boolean 4 , FALSE */
  REF(4).value.boolean = FALSE;
  REF(4).tsdr = & dr_boolean;
/* chs_lit 5 , "quick-compile" */
  if( !chs_lit(DEF(5),"quick-compile") ) goto ch_depletion;
/* find_or_goto 6 3.2.1 5 , 0,7 */
  if (findfunc(DEF(6),DEF(3)DOT(2)DOT(1),(
          arguments[0] = DEF(5),& arguments[0]),sched,0) == FAILURE) goto c7;
/* boolean 4 , TRUE */
  REF(4).value.boolean = TRUE;
  REF(4).tsdr = & dr_boolean;
c7:
/* branch_false 4 , 16 */
  if ( !REF(4).value.boolean ) goto c16;
/* unite 3.3 7 , 0 */
  if ((ch_returncode = che_unite(DEF(3)DOT(3),DEF(7),sched,0)) != Normal)
     goto ch_raise_exception;
/* copy 3.5 3.0.2 */
  if((ch_returncode = (REF(3)DOT(0)DOT(2).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(2).value)) != Normal) goto ch_raise_exception;
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5).value = ch_val;
  REF(3)DOT(5).tsdr = datarepmap[REF(3)DOT(0)DOT(2).tsdr->number];
/* find 8 3.2.4.0.1.0 3.0.0 , 0 */
  if (findfunc(DEF(8),DEF(3)DOT(2)DOT(4)DOT(0)DOT(1)DOT(0),(
          arguments[0] = DEF(3)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* find 9 3.2.4.0.1.1 8.2 , 0 */
  if (findfunc(DEF(9),DEF(3)DOT(2)DOT(4)DOT(0)DOT(1)DOT(1),(
          arguments[0] = DEF(8)DOT(2),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 3.4 9.1 */
  if((ch_returncode = cp_table(& ch_val, REF(9)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(4).tsdr)->finalize)(REF(3)DOT(4).value,F_DISCARD,sched);
  REF(3)DOT(4).value = ch_val;
  REF(3)DOT(4).tsdr = & dr_table;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* exit , 2 */
  ch_e = handler_type__exit; ch_val = QUAL(2); goto ch_exception;
c16:
/* new_record 10 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).value = ch_val; REF(10).tsdr = & dr_record;
/* new_record 10.0 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(10)DOT(0).tsdr)->finalize)(REF(10)DOT(0).value,F_DISCARD,sched);
  REF(10)DOT(0).value = ch_val; REF(10)DOT(0).tsdr = & dr_record;
/* copy 10.0.1 3.0.1 */
  if((ch_returncode = (REF(3)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(10)DOT(0)DOT(1).tsdr)->finalize)(REF(10)DOT(0)DOT(1).value
    ,F_DISCARD,sched);
  REF(10)DOT(0)DOT(1).value = ch_val;
  REF(10)DOT(0)DOT(1).tsdr = datarepmap[REF(3)DOT(0)DOT(1).tsdr->number];
/* copy 10.0.0 3.0.0 */
  if((ch_returncode = (REF(3)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(10)DOT(0)DOT(0).tsdr)->finalize)(REF(10)DOT(0)DOT(0).value
    ,F_DISCARD,sched);
  REF(10)DOT(0)DOT(0).value = ch_val;
  REF(10)DOT(0)DOT(0).tsdr = datarepmap[REF(3)DOT(0)DOT(0).tsdr->number];
/* new_table 10.1 , 3 */
  if ((ch_returncode = che_new_table(DEF(10)DOT(1),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* prog_lit 11 , 4 */
  if ((ch_returncode = che_prog_lit(DEF(11),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* create 12 11 , 5 */
  if ((ch_returncode = che_create(DEF(12),DEF(11),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* move 13 12 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13) = REF(12);
  REF(12).tsdr = & dr_bottom;
/* prog_lit 14 , 6 */
  if ((ch_returncode = che_prog_lit(DEF(14),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 15 14 , 7 */
  if ((ch_returncode = che_procedure(DEF(15),DEF(14),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* move 16 15 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16) = REF(15);
  REF(15).tsdr = & dr_bottom;
/* prog_lit 17 , 8 */
  if ((ch_returncode = che_prog_lit(DEF(17),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 18 17 , 9 */
  if ((ch_returncode = che_procedure(DEF(18),DEF(17),QUAL(9)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* move 19 18 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19) = REF(18);
  REF(18).tsdr = & dr_bottom;
/* find 20 3.2.4.0.1.0 3.0.0 , 0 */
  if (findfunc(DEF(20),DEF(3)DOT(2)DOT(4)DOT(0)DOT(1)DOT(0),(
          arguments[0] = DEF(3)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* find 21 3.2.4.0.1.1 20.2 , 0 */
  if (findfunc(DEF(21),DEF(3)DOT(2)DOT(4)DOT(0)DOT(1)DOT(1),(
          arguments[0] = DEF(20)DOT(2),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
  current->ip = 3;
cb35:
/* call 13 3.0.2 21.1 22 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(13),
          arguments[1] = DEF(3)DOT(0)DOT(2),
          arguments[2] = DEF(21)DOT(1),
          arguments[3] = DEF(22),
          arguments[3+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c36:
/* move 23 22 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23) = REF(22);
  REF(22).tsdr = & dr_bottom;
/* new_table 24 , 3 */
  if ((ch_returncode = che_new_table(DEF(24),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 25 , 3 */
  if ((ch_returncode = che_new_table(DEF(25),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 25 23 */
  if ((ch_returncode = insertfunc(DEF(25),DEF(23),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 26 , 3 */
  if ((ch_returncode = che_new_table(DEF(26),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 27 , 3 */
  if ((ch_returncode = che_new_table(DEF(27),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
c42:
/* size 28 25 */
  REF(28).value.integer = REF(25).value.table->size;
  REF(28).tsdr = & dr_integer;
/* ile . 28 =(0) , 77 */
  if ( REF(28).value.integer <= 0 ) goto c77;
/* privatize 25 */
  if (REF(25).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(25))) != Normal)
       goto ch_raise_exception;
/* initget 29 25 , 0,0 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(29),DEF(25),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 29 25 */
  if ((ch_returncode = get_selected_object(DEF(29),DEF(25),sched)) != Normal)
     goto ch_raise_exception;
/* remove 23 29 25 */
  if ((ch_returncode = che_remove(DEF(23),DEF(29),DEF(25),sched)) != Normal)
     goto ch_raise_exception;
/* endget 29 25 */
  end_selector(DEF(29),DEF(25),sched,GET);
/* case 30 23 */
  REF(30).value.enumeration = REF(23).value.variant->info.variant_case;
  REF(30).tsdr = & dr_enumeration;
/* notequal . 30 =(1) , 75 */
  if ( REF(30).value.enumeration != 1 ) goto c75;
/* reveal 23 , 1 */
  if (1 != REF(23).value.variant->info.variant_case) goto ch_case_error;
/* notequal . 23.0.0 =(1) , 64 */
  if ( REF(23)DOT(0)DOT(0).value.ord_enum != 1 ) goto c64;
/* copy 31 23.0.3 */
  if((ch_returncode = cp_table(& ch_val, REF(23)DOT(0)DOT(3).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).value = ch_val;
  REF(31).tsdr = & dr_table;
/* merge 25 31 */
  if ((ch_returncode = mergefunc(DEF(25),DEF(31),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 32 23.0.2 */
  if((ch_returncode = (REF(23)DOT(0)DOT(2).tsdr->copy)(& ch_val, 
    REF(23)DOT(0)DOT(2).value)) != Normal) goto ch_raise_exception;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).value = ch_val;
  REF(32).tsdr = datarepmap[REF(23)DOT(0)DOT(2).tsdr->number];
/* insert 24 32 */
  if ((ch_returncode = insertfunc(DEF(24),DEF(32),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 73 */
   goto c73;
c64:
/* noop */
  
/* notequal . 23.0.0 =(19) , 71 */
  if ( REF(23)DOT(0)DOT(0).value.ord_enum != 19 ) goto c71;
/* copy 33 23.0 */
  if((ch_returncode = (REF(23)DOT(0).tsdr->copy)(& ch_val, REF(23)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).value = ch_val;
  REF(33).tsdr = datarepmap[REF(23)DOT(0).tsdr->number];
/* insert 26 33 */
  if ((ch_returncode = insertfunc(DEF(26),DEF(33),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 72 */
   goto c72;
c71:
/* insert 27 23 */
  if ((ch_returncode = insertfunc(DEF(27),DEF(23),FALSE,0)) != Normal)
     goto ch_raise_exception;
c72:
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
c73:
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* branch , 42 */
   goto c42;
c75:
/* insert 27 23 */
  if ((ch_returncode = insertfunc(DEF(27),DEF(23),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 42 */
   goto c42;
c77:
/* copy 34 26 */
  if((ch_returncode = cp_table(& ch_val, REF(26).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).value = ch_val;
  REF(34).tsdr = & dr_table;
/* initget 35 34 , 0,0 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(35),DEF(34),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c79:
/* get_or_goto 35 34 , 182 */
  if ((ch_returncode = get_selected_object(DEF(35),DEF(34),sched)) != Normal)
     goto c182;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* block , 11 */
  if((ch_returncode = che_block(QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* lookup_at 37 35.3 =(0) */
  if ( !((ch_t = REF(35)DOT(3).value.table)->size) ) goto ch_notfound;
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(37).value,0);
  REF(37).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 36 37 */
  if((ch_returncode = cp_variant(& ch_val, REF(37).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).value = ch_val;
  REF(36).tsdr = & dr_variant;
/* case 38 36 */
  REF(38).value.enumeration = REF(36).value.variant->info.variant_case;
  REF(38).tsdr = & dr_enumeration;
/* notequal . 38 =(1) , 116 */
  if ( REF(38).value.enumeration != 1 ) goto c116;
/* reveal 36 , 1 */
  if (1 != REF(36).value.variant->info.variant_case) goto ch_case_error;
/* notequal . 36.0.0 =(49) , 116 */
  if ( REF(36)DOT(0)DOT(0).value.ord_enum != 49 ) goto c116;
/* lookup_at 39 36.0.3 =(0) */
  if ( !((ch_t = REF(36)DOT(0)DOT(3).value.table)->size) ) goto ch_notfound;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(39).value,0);
  REF(39).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 36 39 */
  if((ch_returncode = cp_variant(& ch_val, REF(39).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).value = ch_val;
  REF(36).tsdr = & dr_variant;
/* case 40 36 */
  REF(40).value.enumeration = REF(36).value.variant->info.variant_case;
  REF(40).tsdr = & dr_enumeration;
/* notequal . 40 =(0) , 116 */
  if ( REF(40).value.enumeration != 0 ) goto c116;
/* reveal 36 , 0 */
  if (0 != REF(36).value.variant->info.variant_case) goto ch_case_error;
/* notequal . 36.0 10 , 113 */
  if ( !eq_record(REF(36)DOT(0).value,REF(10).value) ) goto c113;
/* lookup_at 41 35.3 =(1) */
  if (1 >= (ch_t = REF(35)DOT(3).value.table)->size) goto ch_notfound;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(41).value,1);
  REF(41).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 42 41 */
  if((ch_returncode = cp_variant(& ch_val, REF(41).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).value = ch_val;
  REF(42).tsdr = & dr_variant;
  current->ip = 7;
cb109:
/* call 19 42 10.0 43 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(19),
          arguments[1] = DEF(42),
          arguments[2] = DEF(10)DOT(0),
          arguments[3] = DEF(43),
          arguments[3+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c110:
/* not 44 43 */
  REF(44).value.boolean = !REF(43).value.boolean;
  REF(44).tsdr = & dr_boolean;
/* branch_false 44 , 113 */
  if ( !REF(44).value.boolean ) goto c113;
/* exit , 13 */
  ch_e = handler_type__exit; ch_val = QUAL(13); goto ch_exception;
c113:
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
c116:
/* noop */
  
/* lookup_at 45 35.3 =(1) */
  if (1 >= (ch_t = REF(35)DOT(3).value.table)->size) goto ch_notfound;
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(45).value,1);
  REF(45).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 36 45 */
  if((ch_returncode = cp_variant(& ch_val, REF(45).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).value = ch_val;
  REF(36).tsdr = & dr_variant;
/* case 46 36 */
  REF(46).value.enumeration = REF(36).value.variant->info.variant_case;
  REF(46).tsdr = & dr_enumeration;
/* notequal . 46 =(1) , 150 */
  if ( REF(46).value.enumeration != 1 ) goto c150;
/* reveal 36 , 1 */
  if (1 != REF(36).value.variant->info.variant_case) goto ch_case_error;
/* notequal . 36.0.0 =(49) , 150 */
  if ( REF(36)DOT(0)DOT(0).value.ord_enum != 49 ) goto c150;
/* lookup_at 47 36.0.3 =(0) */
  if ( !((ch_t = REF(36)DOT(0)DOT(3).value.table)->size) ) goto ch_notfound;
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(47).value,0);
  REF(47).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 36 47 */
  if((ch_returncode = cp_variant(& ch_val, REF(47).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).value = ch_val;
  REF(36).tsdr = & dr_variant;
/* case 48 36 */
  REF(48).value.enumeration = REF(36).value.variant->info.variant_case;
  REF(48).tsdr = & dr_enumeration;
/* notequal . 48 =(0) , 150 */
  if ( REF(48).value.enumeration != 0 ) goto c150;
/* reveal 36 , 0 */
  if (0 != REF(36).value.variant->info.variant_case) goto ch_case_error;
/* notequal . 36.0 10 , 147 */
  if ( !eq_record(REF(36)DOT(0).value,REF(10).value) ) goto c147;
/* lookup_at 49 35.3 =(0) */
  if ( !((ch_t = REF(35)DOT(3).value.table)->size) ) goto ch_notfound;
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(49).value,0);
  REF(49).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 42 49 */
  if((ch_returncode = cp_variant(& ch_val, REF(49).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).value = ch_val;
  REF(42).tsdr = & dr_variant;
  current->ip = 11;
cb143:
/* call 19 42 10.0 50 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(19),
          arguments[1] = DEF(42),
          arguments[2] = DEF(10)DOT(0),
          arguments[3] = DEF(50),
          arguments[3+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c144:
/* not 51 50 */
  REF(51).value.boolean = !REF(50).value.boolean;
  REF(51).tsdr = & dr_boolean;
/* branch_false 51 , 147 */
  if ( !REF(51).value.boolean ) goto c147;
/* exit , 13 */
  ch_e = handler_type__exit; ch_val = QUAL(13); goto ch_exception;
c147:
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
c150:
/* endblock */
  che_endblock(sched);
/* branch , 79 */
   goto c79;
c152:
/* new_record 52 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).value = ch_val; REF(52).tsdr = & dr_record;
  current->ip = 16;
cb153:
/* call 16 42 53 , 14 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16),
          arguments[1] = DEF(42),
          arguments[2] = DEF(53),
          arguments[2+1] = nil,& arguments[0]),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
  return;
c154:
/* move 52.0 53 */
  (*(REF(52)DOT(0).tsdr)->finalize)(REF(52)DOT(0).value,F_DISCARD,sched);
  REF(52)DOT(0) = REF(53);
  REF(53).tsdr = & dr_bottom;
/* case 54 42 */
  REF(54).value.enumeration = REF(42).value.variant->info.variant_case;
  REF(54).tsdr = & dr_enumeration;
/* notequal . 54 =(1) , 162 */
  if ( REF(54).value.enumeration != 1 ) goto c162;
/* reveal 42 , 1 */
  if (1 != REF(42).value.variant->info.variant_case) goto ch_case_error;
/* copy 52.1 42.0.2 */
  if((ch_returncode = (REF(42)DOT(0)DOT(2).tsdr->copy)(& ch_val, 
    REF(42)DOT(0)DOT(2).value)) != Normal) goto ch_raise_exception;
  (*(REF(52)DOT(1).tsdr)->finalize)(REF(52)DOT(1).value,F_DISCARD,sched);
  REF(52)DOT(1).value = ch_val;
  REF(52)DOT(1).tsdr = datarepmap[REF(42)DOT(0)DOT(2).tsdr->number];
/* branch , 165 */
   goto c165;
c162:
/* reveal 42 , 0 */
  if (0 != REF(42).value.variant->info.variant_case) goto ch_case_error;
/* copy 52.1 42.0 */
  if((ch_returncode = (REF(42)DOT(0).tsdr->copy)(& ch_val, REF(42)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(52)DOT(1).tsdr)->finalize)(REF(52)DOT(1).value,F_DISCARD,sched);
  REF(52)DOT(1).value = ch_val;
  REF(52)DOT(1).tsdr = datarepmap[REF(42)DOT(0).tsdr->number];
c165:
/* unite 3.3 52 , 3 */
  if ((ch_returncode = che_unite(DEF(3)DOT(3),DEF(52),sched,3)) != Normal)
     goto ch_raise_exception;
/* copy 55 26 */
  if((ch_returncode = cp_table(& ch_val, REF(26).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).value = ch_val;
  REF(55).tsdr = & dr_table;
/* initget 56 55 , 0,0 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(56),DEF(55),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c168:
/* get_or_goto 56 55 , 176 */
  if ((ch_returncode = get_selected_object(DEF(56),DEF(55),sched)) != Normal)
     goto c176;
/* equal . 56 35 , 168 */
  if ( (REF(56).tsdr->equal)(REF(56).value,REF(35).value) ) goto c168;
/* copy 57 56 */
  if((ch_returncode = (REF(56).tsdr->copy)(& ch_val, REF(56).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).value = ch_val;
  REF(57).tsdr = datarepmap[REF(56).tsdr->number];
/* unite 58 57 , 1 */
  if ((ch_returncode = che_unite(DEF(58),DEF(57),sched,1)) != Normal)
     goto ch_raise_exception;
/* insert 27 58 */
  if ((ch_returncode = insertfunc(DEF(27),DEF(58),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 168 */
   goto c168;
c176:
/* endget 56 55 */
  end_selector(DEF(56),DEF(55),sched,GET);
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* copy 59 35.2 */
  if((ch_returncode = (REF(35)DOT(2).tsdr->copy)(& ch_val, REF(35)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).value = ch_val;
  REF(59).tsdr = datarepmap[REF(35)DOT(2).tsdr->number];
/* insert 24 59 */
  if ((ch_returncode = insertfunc(DEF(24),DEF(59),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* exit , 15 */
  ch_e = handler_type__exit; ch_val = QUAL(15); goto ch_exception;
c182:
/* endget 35 34 */
  end_selector(DEF(35),DEF(34),sched,GET);
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* new_table 60 , 3 */
  if ((ch_returncode = che_new_table(DEF(60),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 61 , 3 */
  if ((ch_returncode = che_new_table(DEF(61),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 62 26 */
  if((ch_returncode = cp_table(& ch_val, REF(26).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).value = ch_val;
  REF(62).tsdr = & dr_table;
/* copy 63 62 */
  if((ch_returncode = cp_table(& ch_val, REF(62).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).value = ch_val;
  REF(63).tsdr = & dr_table;
/* initget 64 63 , 0,0 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(64),DEF(63),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c189:
/* get_or_goto 64 63 , 256 */
  if ((ch_returncode = get_selected_object(DEF(64),DEF(63),sched)) != Normal)
     goto c256;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* block , 16 */
  if((ch_returncode = che_block(QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* lookup_at 66 64.3 =(0) */
  if ( !((ch_t = REF(64)DOT(3).value.table)->size) ) goto ch_notfound;
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(66).value,0);
  REF(66).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 65 66 */
  if((ch_returncode = cp_variant(& ch_val, REF(66).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).value = ch_val;
  REF(65).tsdr = & dr_variant;
/* case 67 65 */
  REF(67).value.enumeration = REF(65).value.variant->info.variant_case;
  REF(67).tsdr = & dr_enumeration;
/* notequal . 67 =(0) , 214 */
  if ( REF(67).value.enumeration != 0 ) goto c214;
/* reveal 65 , 0 */
  if (0 != REF(65).value.variant->info.variant_case) goto ch_case_error;
/* notequal . 65.0.0 10.0 , 212 */
  if ( !eq_record(REF(65)DOT(0)DOT(0).value,REF(10)DOT(0).value) ) goto c212;
/* lookup_at 68 64.3 =(1) */
  if (1 >= (ch_t = REF(64)DOT(3).value.table)->size) goto ch_notfound;
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(68).value,1);
  REF(68).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 69 68 */
  if((ch_returncode = (REF(68).tsdr->copy)(& ch_val, REF(68).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).value = ch_val;
  REF(69).tsdr = datarepmap[REF(68).tsdr->number];
  current->ip = 21;
cb207:
/* call 19 69 10.0 70 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(19),
          arguments[1] = DEF(69),
          arguments[2] = DEF(10)DOT(0),
          arguments[3] = DEF(70),
          arguments[3+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c208:
/* not 71 70 */
  REF(71).value.boolean = !REF(70).value.boolean;
  REF(71).tsdr = & dr_boolean;
/* branch_false 71 , 212 */
  if ( !REF(71).value.boolean ) goto c212;
/* copy 72 65.0.1 */
  if((ch_returncode = (REF(65)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(65)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).value = ch_val;
  REF(72).tsdr = datarepmap[REF(65)DOT(0)DOT(1).tsdr->number];
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c212:
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
c214:
/* noop */
  
/* lookup_at 73 64.3 =(1) */
  if (1 >= (ch_t = REF(64)DOT(3).value.table)->size) goto ch_notfound;
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(73).value,1);
  REF(73).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 65 73 */
  if((ch_returncode = cp_variant(& ch_val, REF(73).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).value = ch_val;
  REF(65).tsdr = & dr_variant;
/* case 74 65 */
  REF(74).value.enumeration = REF(65).value.variant->info.variant_case;
  REF(74).tsdr = & dr_enumeration;
/* notequal . 74 =(0) , 236 */
  if ( REF(74).value.enumeration != 0 ) goto c236;
/* reveal 65 , 0 */
  if (0 != REF(65).value.variant->info.variant_case) goto ch_case_error;
/* notequal . 65.0.0 10.0 , 234 */
  if ( !eq_record(REF(65)DOT(0)DOT(0).value,REF(10)DOT(0).value) ) goto c234;
/* lookup_at 75 64.3 =(0) */
  if ( !((ch_t = REF(64)DOT(3).value.table)->size) ) goto ch_notfound;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(75).value,0);
  REF(75).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 69 75 */
  if((ch_returncode = (REF(75).tsdr->copy)(& ch_val, REF(75).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).value = ch_val;
  REF(69).tsdr = datarepmap[REF(75).tsdr->number];
  current->ip = 25;
cb229:
/* call 19 69 10.0 76 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(19),
          arguments[1] = DEF(69),
          arguments[2] = DEF(10)DOT(0),
          arguments[3] = DEF(76),
          arguments[3+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c230:
/* not 77 76 */
  REF(77).value.boolean = !REF(76).value.boolean;
  REF(77).tsdr = & dr_boolean;
/* branch_false 77 , 234 */
  if ( !REF(77).value.boolean ) goto c234;
/* copy 72 65.0.1 */
  if((ch_returncode = (REF(65)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(65)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).value = ch_val;
  REF(72).tsdr = datarepmap[REF(65)DOT(0)DOT(1).tsdr->number];
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c234:
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
c236:
/* copy 78 64 */
  if((ch_returncode = (REF(64).tsdr->copy)(& ch_val, REF(64).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).value = ch_val;
  REF(78).tsdr = datarepmap[REF(64).tsdr->number];
/* unite 79 78 , 1 */
  if ((ch_returncode = che_unite(DEF(79),DEF(78),sched,1)) != Normal)
     goto ch_raise_exception;
/* insert 27 79 */
  if ((ch_returncode = insertfunc(DEF(27),DEF(79),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 253 */
   goto c253;
c242:
/* insert 60 72 */
  if ((ch_returncode = insertfunc(DEF(60),DEF(72),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 61 69 */
  if ((ch_returncode = insertfunc(DEF(61),DEF(69),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* privatize 26 */
  if (REF(26).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(26))) != Normal)
       goto ch_raise_exception;
/* initget 80 26 , 0,0 */
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(80),DEF(26),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c246:
/* get_or_err 80 26 */
  if ((ch_returncode = get_selected_object(DEF(80),DEF(26),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 80 64 , 246 */
  if ( !(REF(80).tsdr->equal)(REF(80).value,REF(64).value) ) goto c246;
/* remove 81 80 26 */
  if ((ch_returncode = che_remove(DEF(81),DEF(80),DEF(26),sched)) != Normal)
     goto ch_raise_exception;
/* endget 80 26 */
  end_selector(DEF(80),DEF(26),sched,GET);
/* copy 82 81.2 */
  if((ch_returncode = (REF(81)DOT(2).tsdr->copy)(& ch_val, REF(81)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).value = ch_val;
  REF(82).tsdr = datarepmap[REF(81)DOT(2).tsdr->number];
/* insert 24 82 */
  if ((ch_returncode = insertfunc(DEF(24),DEF(82),FALSE,0)) != Normal)
     goto ch_raise_exception;
c253:
/* discard 81 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).tsdr = & dr_bottom;
/* branch , 189 */
   goto c189;
c256:
/* endget 64 63 */
  end_selector(DEF(64),DEF(63),sched,GET);
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* block , 18 */
  if((ch_returncode = che_block(QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 33;
cb260:
/* call 3.2.3.16 3.1 83 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(16),
          arguments[1] = DEF(3)DOT(1),
          arguments[2] = DEF(83),
          arguments[2+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c261:
/* noop */
  
/* reveal 83.2 , 7 */
  if (7 != REF(83)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* copy 84 83.2.0.1 */
  if((ch_returncode = cp_table(& ch_val, REF(83)DOT(2)DOT(0)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).value = ch_val;
  REF(84).tsdr = & dr_table;
/* block , 20 */
  if((ch_returncode = che_block(QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
/* initget 85 84 , 0,0 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(85),DEF(84),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c266:
/* get_or_err 85 84 */
  if ((ch_returncode = get_selected_object(DEF(85),DEF(84),sched)) != Normal)
     goto ch_raise_exception;
/* boolean 86 , TRUE */
  REF(86).value.boolean = TRUE;
  REF(86).tsdr = & dr_boolean;
/* initget 87 85 , 0,0 */
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(87),DEF(85),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c269:
/* get_or_goto 87 85 , 279 */
  if ((ch_returncode = get_selected_object(DEF(87),DEF(85),sched)) != Normal)
     goto c279;
/* boolean 88 , FALSE */
  REF(88).value.boolean = FALSE;
  REF(88).tsdr = & dr_boolean;
/* initget 89 60 , 0,0 */
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(89),DEF(60),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c272:
/* get_or_goto 89 60 , 276 */
  if ((ch_returncode = get_selected_object(DEF(89),DEF(60),sched)) != Normal)
     goto c276;
/* notequal . 89 87 , 272 */
  if ( !(REF(89).tsdr->equal)(REF(89).value,REF(87).value) ) goto c272;
/* boolean 88 , TRUE */
  REF(88).value.boolean = TRUE;
  REF(88).tsdr = & dr_boolean;
c276:
/* endget 89 60 */
  end_selector(DEF(89),DEF(60),sched,GET);
/* branch_true 88 , 269 */
  if ( REF(88).value.boolean ) goto c269;
/* boolean 86 , FALSE */
  REF(86).value.boolean = FALSE;
  REF(86).tsdr = & dr_boolean;
c279:
/* endget 87 85 */
  end_selector(DEF(87),DEF(85),sched,GET);
/* branch_false 86 , 266 */
  if ( !REF(86).value.boolean ) goto c266;
/* new_record 90 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).value = ch_val; REF(90).tsdr = & dr_record;
/* position 90.0 85 */
  ch_frame = get_selector_frame(DEF(85),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(90)DOT(0).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(90)DOT(0).tsdr = &dr_integer;
/* new_table 90.1 , 3 */
  if ((ch_returncode = che_new_table(DEF(90)DOT(1),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 91 85 */
  if((ch_returncode = cp_table(& ch_val, REF(85).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).value = ch_val;
  REF(91).tsdr = & dr_table;
/* initget 92 91 , 0,0 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(92),DEF(91),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c287:
/* get_or_goto 92 91 , 318 */
  if ((ch_returncode = get_selected_object(DEF(92),DEF(91),sched)) != Normal)
     goto c318;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* discard 94 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).tsdr = & dr_bottom;
/* initget 95 60 , 0,0 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(95),DEF(60),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c291:
/* get_or_err 95 60 */
  if ((ch_returncode = get_selected_object(DEF(95),DEF(60),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 95 92 , 291 */
  if ( !(REF(95).tsdr->equal)(REF(95).value,REF(92).value) ) goto c291;
/* position 96 95 */
  ch_frame = get_selector_frame(DEF(95),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(96).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(96).tsdr = &dr_integer;
/* endget 95 60 */
  end_selector(DEF(95),DEF(60),sched,GET);
/* move 97 96 */
  REF(97) = REF(96);
  REF(96).tsdr = & dr_bottom;
/* privatize 60 */
  if (REF(60).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(60))) != Normal)
       goto ch_raise_exception;
/* lookup_at 98 60 97 */
  if((ch_i = REF(97).value.integer) < 0 || ch_i >= (ch_t = REF(60).value
    .table)->size) goto ch_notfound;
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(98).value,ch_i);
  REF(98).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 94 60 97 */
  if ((ch_returncode = remove_at_func(DEF(94),DEF(60),REF(97).value.integer
    )) != Normal) goto ch_raise_exception;
/* privatize 61 */
  if (REF(61).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(61))) != Normal)
       goto ch_raise_exception;
/* lookup_at 99 61 97 */
  if((ch_i = REF(97).value.integer) < 0 || ch_i >= (ch_t = REF(61).value
    .table)->size) goto ch_notfound;
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(99).value,ch_i);
  REF(99).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 93 61 97 */
  if ((ch_returncode = remove_at_func(DEF(93),DEF(61),REF(97).value.integer
    )) != Normal) goto ch_raise_exception;
/* new_record 100 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  REF(100).value = ch_val; REF(100).tsdr = & dr_record;
  current->ip = 41;
cb304:
/* call 16 93 101 , 14 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16),
          arguments[1] = DEF(93),
          arguments[2] = DEF(101),
          arguments[2+1] = nil,& arguments[0]),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
  return;
c305:
/* move 100.0 101 */
  (*(REF(100)DOT(0).tsdr)->finalize)(REF(100)DOT(0).value,F_DISCARD,sched);
  REF(100)DOT(0) = REF(101);
  REF(101).tsdr = & dr_bottom;
/* case 102 93 */
  REF(102).value.enumeration = REF(93).value.variant->info.variant_case;
  REF(102).tsdr = & dr_enumeration;
/* notequal . 102 =(1) , 313 */
  if ( REF(102).value.enumeration != 1 ) goto c313;
/* reveal 93 , 1 */
  if (1 != REF(93).value.variant->info.variant_case) goto ch_case_error;
/* copy 100.1 93.0.2 */
  if((ch_returncode = (REF(93)DOT(0)DOT(2).tsdr->copy)(& ch_val, 
    REF(93)DOT(0)DOT(2).value)) != Normal) goto ch_raise_exception;
  (*(REF(100)DOT(1).tsdr)->finalize)(REF(100)DOT(1).value,F_DISCARD,sched);
  REF(100)DOT(1).value = ch_val;
  REF(100)DOT(1).tsdr = datarepmap[REF(93)DOT(0)DOT(2).tsdr->number];
/* branch , 316 */
   goto c316;
c313:
/* reveal 93 , 0 */
  if (0 != REF(93).value.variant->info.variant_case) goto ch_case_error;
/* copy 100.1 93.0 */
  if((ch_returncode = (REF(93)DOT(0).tsdr->copy)(& ch_val, REF(93)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(100)DOT(1).tsdr)->finalize)(REF(100)DOT(1).value,F_DISCARD,sched);
  REF(100)DOT(1).value = ch_val;
  REF(100)DOT(1).tsdr = datarepmap[REF(93)DOT(0).tsdr->number];
c316:
/* insert 90.1 100 */
  if ((ch_returncode = insertfunc(DEF(90)DOT(1),DEF(100),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 287 */
   goto c287;
c318:
/* endget 92 91 */
  end_selector(DEF(92),DEF(91),sched,GET);
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* unite 3.3 90 , 2 */
  if ((ch_returncode = che_unite(DEF(3)DOT(3),DEF(90),sched,2)) != Normal)
     goto ch_raise_exception;
/* exit , 21 */
  ch_e = handler_type__exit; ch_val = QUAL(21); goto ch_exception;
/* endget 85 84 */
  end_selector(DEF(85),DEF(84),sched,GET);
/* endblock */
  che_endblock(sched);
/* branch , 327 */
   goto c327;
c325:
/* discard 90 */
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).tsdr = & dr_bottom;
/* discard 94 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).tsdr = & dr_bottom;
c327:
/* unite 3.3 7 , 0 */
  if ((ch_returncode = che_unite(DEF(3)DOT(3),DEF(7),sched,0)) != Normal)
     goto ch_raise_exception;
/* exit , 21 */
  ch_e = handler_type__exit; ch_val = QUAL(21); goto ch_exception;
/* endblock */
  che_endblock(sched);
/* branch , 366 */
   goto c366;
c332:
/* copy 103 61 */
  if((ch_returncode = cp_table(& ch_val, REF(61).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(103).tsdr)->finalize)(REF(103).value,F_DISCARD,sched);
  REF(103).value = ch_val;
  REF(103).tsdr = & dr_table;
/* initget 104 103 , 0,0 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(104),DEF(103),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c334:
/* get_or_goto 104 103 , 363 */
  if ((ch_returncode = get_selected_object(DEF(104),DEF(103)
    ,sched)) != Normal) goto c363;
/* new_record 105 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(105).tsdr)->finalize)(REF(105).value,F_DISCARD,sched);
  REF(105).value = ch_val; REF(105).tsdr = & dr_record;
/* copy 105.0 10.0 */
  if((ch_returncode = cp_record(& ch_val, REF(10)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(105)DOT(0).tsdr)->finalize)(REF(105)DOT(0).value,F_DISCARD,sched);
  REF(105)DOT(0).value = ch_val;
  REF(105)DOT(0).tsdr = & dr_record;
/* position 106 104 */
  ch_frame = get_selector_frame(DEF(104),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(106).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(106).tsdr = &dr_integer;
/* lookup_at 107 60 106 */
  if((ch_i = REF(106).value.integer) < 0 || ch_i >= (ch_t = REF(60).value
    .table)->size) goto ch_notfound;
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(107).value,ch_i);
  REF(107).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 105.1 107 */
  if((ch_returncode = (REF(107).tsdr->copy)(& ch_val, REF(107).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(105)DOT(1).tsdr)->finalize)(REF(105)DOT(1).value,F_DISCARD,sched);
  REF(105)DOT(1).value = ch_val;
  REF(105)DOT(1).tsdr = datarepmap[REF(107).tsdr->number];
/* unite 108 105 , 0 */
  if ((ch_returncode = che_unite(DEF(108),DEF(105),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_record 109 , 5 */
  if ((ch_val.record = new_record(5)) == nil) goto ch_depletion;
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  REF(109).value = ch_val; REF(109).tsdr = & dr_record;
/* ordenum_lit 109.0 , 19 */
  REF(109)DOT(0).value.ord_enum = 19;
  REF(109)DOT(0).tsdr = & dr_ord_enumeration;
/* privatize 24 */
  if (REF(24).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(24))) != Normal)
       goto ch_raise_exception;
/* initget 110 24 , 0,0 */
  (*(REF(110).tsdr)->finalize)(REF(110).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(110),DEF(24),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 110 24 */
  if ((ch_returncode = get_selected_object(DEF(110),DEF(24),sched)) != Normal)
     goto ch_raise_exception;
/* remove 111 110 24 */
  if ((ch_returncode = che_remove(DEF(111),DEF(110),DEF(24),sched)) != Normal)
     goto ch_raise_exception;
/* endget 110 24 */
  end_selector(DEF(110),DEF(24),sched,GET);
/* move 109.2 111 */
  (*(REF(109)DOT(2).tsdr)->finalize)(REF(109)DOT(2).value,F_DISCARD,sched);
  REF(109)DOT(2) = REF(111);
  REF(111).tsdr = & dr_bottom;
/* new_table 109.3 , 3 */
  if ((ch_returncode = che_new_table(DEF(109)DOT(3),QUAL(3)
    ,sched)) != Normal)  goto ch_raise_exception;
/* insert 109.3 108 */
  if ((ch_returncode = insertfunc(DEF(109)DOT(3),DEF(108),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* unite 109.1 7 , 0 */
  if ((ch_returncode = che_unite(DEF(109)DOT(1),DEF(7),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 109.4 , 22 */
  if ((ch_returncode = che_new_table(DEF(109)DOT(4),QUAL(22)
    ,sched)) != Normal)  goto ch_raise_exception;
/* copy 112 104 */
  if((ch_returncode = (REF(104).tsdr->copy)(& ch_val, REF(104).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(112).tsdr)->finalize)(REF(112).value,F_DISCARD,sched);
  REF(112).value = ch_val;
  REF(112).tsdr = datarepmap[REF(104).tsdr->number];
/* insert 109.3 112 */
  if ((ch_returncode = insertfunc(DEF(109)DOT(3),DEF(112),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* unite 113 109 , 1 */
  if ((ch_returncode = che_unite(DEF(113),DEF(109),sched,1)) != Normal)
     goto ch_raise_exception;
/* insert 27 113 */
  if ((ch_returncode = insertfunc(DEF(27),DEF(113),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 334 */
   goto c334;
c363:
/* endget 104 103 */
  end_selector(DEF(104),DEF(103),sched,GET);
/* discard 103 */
  (*(REF(103).tsdr)->finalize)(REF(103).value,F_DISCARD,sched);
  REF(103).tsdr = & dr_bottom;
/* exit , 15 */
  ch_e = handler_type__exit; ch_val = QUAL(15); goto ch_exception;
c366:
/* endblock */
  che_endblock(sched);
/* branch , 478 */
   goto c478;
c369:
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* discard 83 */
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  REF(83).tsdr = & dr_bottom;
/* discard 84 */
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).tsdr = & dr_bottom;
c378:
/* size 114 27 */
  REF(114).value.integer = REF(27).value.table->size;
  REF(114).tsdr = & dr_integer;
/* ile . 114 =(1) , 410 */
  if ( REF(114).value.integer <= 1 ) goto c410;
/* new_record 115 , 5 */
  if ((ch_val.record = new_record(5)) == nil) goto ch_depletion;
  (*(REF(115).tsdr)->finalize)(REF(115).value,F_DISCARD,sched);
  REF(115).value = ch_val; REF(115).tsdr = & dr_record;
/* ordenum_lit 115.0 , 1 */
  REF(115)DOT(0).value.ord_enum = 1;
  REF(115)DOT(0).tsdr = & dr_ord_enumeration;
/* privatize 24 */
  if (REF(24).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(24))) != Normal)
       goto ch_raise_exception;
/* initget 116 24 , 0,0 */
  (*(REF(116).tsdr)->finalize)(REF(116).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(116),DEF(24),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 116 24 */
  if ((ch_returncode = get_selected_object(DEF(116),DEF(24),sched)) != Normal)
     goto ch_raise_exception;
/* remove 115.2 116 24 */
  if ((ch_returncode = che_remove(DEF(115)DOT(2),DEF(116),DEF(24)
    ,sched)) != Normal) goto ch_raise_exception;
/* endget 116 24 */
  end_selector(DEF(116),DEF(24),sched,GET);
/* new_table 115.3 , 3 */
  if ((ch_returncode = che_new_table(DEF(115)DOT(3),QUAL(3)
    ,sched)) != Normal)  goto ch_raise_exception;
/* privatize 27 */
  if (REF(27).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(27))) != Normal)
       goto ch_raise_exception;
/* initget 117 27 , 0,0 */
  (*(REF(117).tsdr)->finalize)(REF(117).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(117),DEF(27),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 117 27 */
  if ((ch_returncode = get_selected_object(DEF(117),DEF(27),sched)) != Normal)
     goto ch_raise_exception;
/* remove 118 117 27 */
  if ((ch_returncode = che_remove(DEF(118),DEF(117),DEF(27),sched)) != Normal)
     goto ch_raise_exception;
/* endget 117 27 */
  end_selector(DEF(117),DEF(27),sched,GET);
/* insert 115.3 118 */
  if ((ch_returncode = insertfunc(DEF(115)DOT(3),DEF(118),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* privatize 27 */
  if (REF(27).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(27))) != Normal)
       goto ch_raise_exception;
/* initget 119 27 , 0,0 */
  (*(REF(119).tsdr)->finalize)(REF(119).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(119),DEF(27),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 119 27 */
  if ((ch_returncode = get_selected_object(DEF(119),DEF(27),sched)) != Normal)
     goto ch_raise_exception;
/* remove 118 119 27 */
  if ((ch_returncode = che_remove(DEF(118),DEF(119),DEF(27),sched)) != Normal)
     goto ch_raise_exception;
/* endget 119 27 */
  end_selector(DEF(119),DEF(27),sched,GET);
/* insert 115.3 118 */
  if ((ch_returncode = insertfunc(DEF(115)DOT(3),DEF(118),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* unite 115.1 7 , 0 */
  if ((ch_returncode = che_unite(DEF(115)DOT(1),DEF(7),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 115.4 , 22 */
  if ((ch_returncode = che_new_table(DEF(115)DOT(4),QUAL(22)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 120 115 , 1 */
  if ((ch_returncode = che_unite(DEF(120),DEF(115),sched,1)) != Normal)
     goto ch_raise_exception;
/* insert 27 120 */
  if ((ch_returncode = insertfunc(DEF(27),DEF(120),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 378 */
   goto c378;
c410:
/* size 121 27 */
  REF(121).value.integer = REF(27).value.table->size;
  REF(121).tsdr = & dr_integer;
/* notequal . 121 =(1) , 452 */
  if ( REF(121).value.integer != 1 ) goto c452;
/* block , 23 */
  if((ch_returncode = che_block(QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 27 */
  if (REF(27).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(27))) != Normal)
       goto ch_raise_exception;
/* initget 122 27 , 0,0 */
  (*(REF(122).tsdr)->finalize)(REF(122).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(122),DEF(27),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 122 27 */
  if ((ch_returncode = get_selected_object(DEF(122),DEF(27),sched)) != Normal)
     goto ch_raise_exception;
/* remove 23 122 27 */
  if ((ch_returncode = che_remove(DEF(23),DEF(122),DEF(27),sched)) != Normal)
     goto ch_raise_exception;
/* endget 122 27 */
  end_selector(DEF(122),DEF(27),sched,GET);
/* case 123 23 */
  REF(123).value.enumeration = REF(23).value.variant->info.variant_case;
  REF(123).tsdr = & dr_enumeration;
/* equal . 123 =(1) , 425 */
  if ( REF(123).value.enumeration == 1 ) goto c425;
/* exit , 24 */
  ch_e = handler_type__exit; ch_val = QUAL(24); goto ch_exception;
c425:
/* reveal 23 , 1 */
  if (1 != REF(23).value.variant->info.variant_case) goto ch_case_error;
/* equal . 23.0.0 =(44) , 430 */
  if ( REF(23)DOT(0)DOT(0).value.ord_enum == 44 ) goto c430;
/* exit , 24 */
  ch_e = handler_type__exit; ch_val = QUAL(24); goto ch_exception;
c430:
/* reveal 23.0.1 , 10 */
  if (10 != REF(23)DOT(0)DOT(1).value.variant->info.variant_case)
     goto ch_case_error;
  current->ip = 51;
cb431:
/* call 3.2.4.6 23.0.2 124 , 25 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(6),
          arguments[1] = DEF(23)DOT(0)DOT(2),
          arguments[2] = DEF(124),
          arguments[2+1] = nil,& arguments[0]),QUAL(25),sched)) != Normal)
     goto ch_raise_exception;
  return;
c432:
/* call 3.2.3.16 124 125 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(16),
          arguments[1] = DEF(124),
          arguments[2] = DEF(125),
          arguments[2+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c433:
/* noop */
  
/* ord_case 126 125.2 */
  REF(126).value.ord_enum = REF(125)DOT(2).value.variant->info.variant_case;
  REF(126).tsdr = & dr_ord_enumeration;
/* equal . 126 =(2) , 439 */
  if ( REF(126).value.ord_enum == 2 ) goto c439;
/* exit , 24 */
  ch_e = handler_type__exit; ch_val = QUAL(24); goto ch_exception;
c439:
/* reveal 125.2 , 2 */
  if (2 != REF(125)DOT(2).value.variant->info.variant_case)
     goto ch_case_error;
/* equal . 23.0.1.0 125.2.0.0 , 443 */
  if ( (REF(23)DOT(0)DOT(1)DOT(0).tsdr->equal)(REF(23)DOT(0)DOT(1)DOT(0).value,
    REF(125)DOT(2)DOT(0)DOT(0).value) ) goto c443;
/* exit , 24 */
  ch_e = handler_type__exit; ch_val = QUAL(24); goto ch_exception;
c443:
/* endblock */
  che_endblock(sched);
/* branch , 449 */
   goto c449;
c445:
/* discard 125 */
  (*(REF(125).tsdr)->finalize)(REF(125).value,F_DISCARD,sched);
  REF(125).tsdr = & dr_bottom;
/* discard 124 */
  (*(REF(124).tsdr)->finalize)(REF(124).value,F_DISCARD,sched);
  REF(124).tsdr = & dr_bottom;
/* insert 27 23 */
  if ((ch_returncode = insertfunc(DEF(27),DEF(23),FALSE,0)) != Normal)
     goto ch_raise_exception;
c449:
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* discard 125 */
  (*(REF(125).tsdr)->finalize)(REF(125).value,F_DISCARD,sched);
  REF(125).tsdr = & dr_bottom;
/* discard 124 */
  (*(REF(124).tsdr)->finalize)(REF(124).value,F_DISCARD,sched);
  REF(124).tsdr = & dr_bottom;
c452:
/* size 127 27 */
  REF(127).value.integer = REF(27).value.table->size;
  REF(127).tsdr = & dr_integer;
/* notequal . 127 =(0) , 459 */
  if ( REF(127).value.integer != 0 ) goto c459;
/* new_table 3.4 , 26 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(4),QUAL(26),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 3.5 3.0.2 */
  if((ch_returncode = (REF(3)DOT(0)DOT(2).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(2).value)) != Normal) goto ch_raise_exception;
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5).value = ch_val;
  REF(3)DOT(5).tsdr = datarepmap[REF(3)DOT(0)DOT(2).tsdr->number];
/* branch , 476 */
   goto c476;
c459:
/* privatize 27 */
  if (REF(27).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(27))) != Normal)
       goto ch_raise_exception;
/* initget 128 27 , 0,0 */
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(128),DEF(27),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 128 27 */
  if ((ch_returncode = get_selected_object(DEF(128),DEF(27),sched)) != Normal)
     goto ch_raise_exception;
/* remove 23 128 27 */
  if ((ch_returncode = che_remove(DEF(23),DEF(128),DEF(27),sched)) != Normal)
     goto ch_raise_exception;
/* endget 128 27 */
  end_selector(DEF(128),DEF(27),sched,GET);
  current->ip = 57;
cb464:
/* call 16 23 129 , 14 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16),
          arguments[1] = DEF(23),
          arguments[2] = DEF(129),
          arguments[2+1] = nil,& arguments[0]),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
  return;
c465:
/* move 3.4 129 */
  (*(REF(3)DOT(4).tsdr)->finalize)(REF(3)DOT(4).value,F_DISCARD,sched);
  REF(3)DOT(4) = REF(129);
  REF(129).tsdr = & dr_bottom;
/* case 130 23 */
  REF(130).value.enumeration = REF(23).value.variant->info.variant_case;
  REF(130).tsdr = & dr_enumeration;
/* notequal . 130 =(1) , 473 */
  if ( REF(130).value.enumeration != 1 ) goto c473;
/* reveal 23 , 1 */
  if (1 != REF(23).value.variant->info.variant_case) goto ch_case_error;
/* copy 3.5 23.0.2 */
  if((ch_returncode = (REF(23)DOT(0)DOT(2).tsdr->copy)(& ch_val, 
    REF(23)DOT(0)DOT(2).value)) != Normal) goto ch_raise_exception;
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5).value = ch_val;
  REF(3)DOT(5).tsdr = datarepmap[REF(23)DOT(0)DOT(2).tsdr->number];
/* branch , 476 */
   goto c476;
c473:
/* reveal 23 , 0 */
  if (0 != REF(23).value.variant->info.variant_case) goto ch_case_error;
/* copy 3.5 23.0 */
  if((ch_returncode = (REF(23)DOT(0).tsdr->copy)(& ch_val, REF(23)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5).value = ch_val;
  REF(3)DOT(5).tsdr = datarepmap[REF(23)DOT(0).tsdr->number];
c476:
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
c478:
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c487:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
